#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main(int argc, char** argv) {
	long long n,r;
	cin>>n;
	long long niz1[n];
	long long niz2[n];
	for(long long i=0;i<n-1;i++){
		cin>>niz1[i]>>niz2[i];
	}
	long long n2 = sizeof(niz2)/sizeof(niz2[0]); 
  	sort(niz2, niz2+n2);
  	r=niz2[n-2]-niz2[0]-1;
  	if(r<0)r=0;
  	cout<<r;
	return 0;
}